> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relay.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Chains

> This API returns all possible chains available.



## OpenAPI

````yaml get /chains
openapi: 3.0.3
info:
  title: Cross-chain solver
  version: 1.0.0
servers:
  - url: https://api.relay.link
    description: Mainnet API
  - url: https://api.testnets.relay.link
    description: Testnet API
security: []
paths:
  /chains:
    get:
      parameters:
        - schema:
            type: string
            nullable: true
          in: query
          name: includeChains
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  chains:
                    type: array
                    description: An array of supported chains
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        displayName:
                          type: string
                        httpRpcUrl:
                          type: string
                        wsRpcUrl:
                          type: string
                        explorerUrl:
                          type: string
                        explorerName:
                          type: string
                        explorerPaths:
                          type: object
                          nullable: true
                          properties:
                            transaction:
                              type: string
                            address:
                              type: string
                            token:
                              type: string
                        depositEnabled:
                          type: boolean
                          description: >-
                            If the network supports depositing to this chain,
                            e.g. allows this chain to be set as the destination
                            chain
                        tokenSupport:
                          type: string
                          enum:
                            - All
                            - Limited
                        disabled:
                          type: boolean
                          description: If relaying to and from this chain is disabled
                        partialDisableLimit:
                          type: number
                          description: >-
                            The value limit at which the chain is partially
                            disabled, if 0, the chain is not partially disabled.
                            i.e, 1000000000000000000 to designate 1 ETH max
                            withdrawal/deposit
                        blockProductionLagging:
                          type: boolean
                          description: >-
                            If the chain is experiencing issues where blocks are
                            lagging behind or not being produced
                        currency:
                          type: object
                          properties:
                            id:
                              type: string
                            symbol:
                              type: string
                            name:
                              type: string
                            address:
                              type: string
                            decimals:
                              type: number
                            supportsBridging:
                              type: boolean
                        withdrawalFee:
                          type: number
                          description: The fee in bps for withdrawing from this chain
                        depositFee:
                          type: number
                          description: The fee in bps for depositing to this chain
                        surgeEnabled:
                          type: boolean
                          description: If the chain has surge pricing enabled
                        featuredTokens:
                          type: array
                          description: An array of featured erc20 currencies
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              symbol:
                                type: string
                              name:
                                type: string
                              address:
                                type: string
                              decimals:
                                type: number
                              supportsBridging:
                                type: boolean
                                description: If the currency supports bridging
                              metadata:
                                properties:
                                  logoURI:
                                    type: string
                                type: object
                        erc20Currencies:
                          type: array
                          description: >-
                            An array of erc20 currencies that the solver accepts
                            directly as input
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              symbol:
                                type: string
                              name:
                                type: string
                              address:
                                type: string
                              decimals:
                                type: number
                              supportsBridging:
                                type: boolean
                                description: If the currency supports bridging
                              supportsPermit:
                                type: boolean
                                description: >-
                                  If the erc20 currency supports permit via
                                  signature (EIP-2612)
                              withdrawalFee:
                                type: number
                                description: The fee in bps for withdrawing from this chain
                              depositFee:
                                type: number
                                description: The fee in bps for depositing to this chain
                              surgeEnabled:
                                type: boolean
                                description: If the chain has surge pricing enabled
                        solverCurrencies:
                          type: array
                          description: >-
                            An array of all currencies that the solver accepts
                            directly as input, including native currency if
                            applicable
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              symbol:
                                type: string
                              name:
                                type: string
                              address:
                                type: string
                              decimals:
                                type: number
                        iconUrl:
                          type: string
                          description: The URL to the chain icon
                          nullable: true
                        logoUrl:
                          type: string
                          description: The URL to the chain logo
                          nullable: true
                        brandColor:
                          type: string
                          description: Brand color code
                          nullable: true
                        contracts:
                          type: object
                          description: Relay contract addresses
                          properties:
                            multicall3:
                              type: string
                            multicaller:
                              type: string
                            onlyOwnerMulticaller:
                              type: string
                            relayReceiver:
                              type: string
                            erc20Router:
                              type: string
                            approvalProxy:
                              type: string
                            v3:
                              type: object
                              properties:
                                erc20Router:
                                  type: string
                                approvalProxy:
                                  type: string
                        vmType:
                          type: string
                          description: The type of VM the chain runs on
                          enum:
                            - bvm
                            - evm
                            - svm
                            - tvm
                            - tonvm
                            - suivm
                            - hypevm
                            - lvm
                        explorerQueryParams:
                          type: object
                          nullable: true
                          additionalProperties: true
                        baseChainId:
                          type: number
                          description: >-
                            The chain id which the chain rolls up to. This is
                            always set as Ethereum for L1 chains
                          nullable: true
                        statusMessage:
                          type: string
                          description: If applicable, a status message for the chain
                          nullable: true
                        solverAddresses:
                          type: array
                          description: >-
                            An array of solver addresses in use on the chain.
                            (Note that there is currently only one address in
                            use per chain)
                          items:
                            type: string
                        tags:
                          type: array
                          items:
                            type: string
                        protocol:
                          type: object
                          properties:
                            v2:
                              type: object
                              properties:
                                chainId:
                                  type: string
                                  nullable: true
                                depository:
                                  type: string
                                  nullable: true
                                depositoryVault:
                                  type: string
                                  nullable: true

````